import * as $dara from '@darabonba/typescript';
import { UpdateHoneypotNodeResponseBody } from "./UpdateHoneypotNodeResponseBody";
export declare class UpdateHoneypotNodeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateHoneypotNodeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
